org.springframework.data.mapping.model

## Interface PersistentPropertyAccessorFactory

All Known Implementing Classes:
  BeanWrapperPropertyAccessorFactory, ClassGeneratingPropertyAccessorFactory, InstantiationAwarePropertyAccessorFactory

    public interface PersistentPropertyAccessorFactory

Factory to create `PersistentPropertyAccessor` for a given `PersistentEntity` and bean instance.

Since:
  1.13
Author:
  Mark Paluch, Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> PersistentPropertyAccessor<T>` `getPropertyAccessor(PersistentEntity<?,?> entity, T bean)` Returns a `PersistentPropertyAccessor` for a given `PersistentEntity` and `bean`.
`boolean` `isSupported(PersistentEntity<?,?> entity)` Returns whether given `PersistentEntity` is supported by this `PersistentPropertyAccessorFactory`.

### Method Detail

#### getPropertyAccessor

    <T> PersistentPropertyAccessor<T> getPropertyAccessor(PersistentEntity<?,?> entity,
                                                          T bean)

Returns a `PersistentPropertyAccessor` for a given `PersistentEntity` and `bean`.

Parameters:
  `entity` - must not be null.
  `bean` - must not be null.
Returns:
  will never be null.

#### isSupported

    boolean isSupported(PersistentEntity<?,?> entity)

Returns whether given `PersistentEntity` is supported by this `PersistentPropertyAccessorFactory`.

Parameters:
  `entity` - must not be null.
Returns: